import { ProgramAwareRuleWalker, RuleFailure, Rules } from 'tslint';
import * as ts from 'typescript';
/**
 * Rule that walks through every property access expression and updates properties that have
 * been changed in favor of the new name.
 */
export declare class Rule extends Rules.TypedRule {
    applyWithProgram(sourceFile: ts.SourceFile, program: ts.Program): RuleFailure[];
}
export declare class CheckMethodCallsWalker extends ProgramAwareRuleWalker {
    visitNewExpression(expression: ts.NewExpression): void;
    visitCallExpression(expression: ts.CallExpression): void;
    private checkConstructor(node, className);
}
