import { RuleFailure, Rules, RuleWalker } from 'tslint';
import * as ts from 'typescript';
/**
 * Rule that walks through every string literal, which includes the outdated Material name and
 * is part of a call expression. Those string literals will be changed to the new name.
 */
export declare class Rule extends Rules.AbstractRule {
    apply(sourceFile: ts.SourceFile): RuleFailure[];
}
export declare class SwitchStringLiteralElementSelectorsWalker extends RuleWalker {
    visitStringLiteral(stringLiteral: ts.StringLiteral): void;
    private createReplacementsForOffsets(node, update, offsets);
}
