import { IOptions, RuleFailure, Rules } from 'tslint';
import * as ts from 'typescript';
import { ExternalResource } from '../tslint/component-file';
import { ComponentWalker } from '../tslint/component-walker';
/**
 * Rule that walks through every component decorator and updates their inline or external
 * stylesheets.
 */
export declare class Rule extends Rules.AbstractRule {
    apply(sourceFile: ts.SourceFile): RuleFailure[];
}
export declare class SwitchStylesheetOutputNamesWalker extends ComponentWalker {
    constructor(sourceFile: ts.SourceFile, options: IOptions);
    visitInlineStylesheet(stylesheet: ts.StringLiteral): void;
    visitExternalStylesheet(stylesheet: ExternalResource): void;
    /**
     * Replaces the outdated name in the stylesheet with the new one and returns an updated
     * stylesheet.
     */
    private replaceNamesInStylesheet(node, stylesheetContent);
    private createReplacementsForOffsets(node, update, offsets);
}
