import { Fix, IOptions, RuleWalker } from 'tslint';
import * as ts from 'typescript';
import { ExternalResource } from "./component-file";
/**
 * Custom TSLint rule walker that identifies Angular components and visits specific parts of
 * the component metadata.
 */
export declare class ComponentWalker extends RuleWalker {
    protected visitInlineTemplate(template: ts.StringLiteral): void;
    protected visitInlineStylesheet(stylesheet: ts.StringLiteral): void;
    protected visitExternalTemplate(template: ExternalResource): void;
    protected visitExternalStylesheet(stylesheet: ExternalResource): void;
    private skipFiles;
    constructor(sourceFile: ts.SourceFile, options: IOptions, skipFiles?: string[]);
    visitNode(node: ts.Node): void;
    private _visitDirectiveCallExpression(callExpression);
    private _reportInlineStyles(inlineStyles);
    private _visitExternalStylesArrayLiteral(styleUrls);
    private _reportExternalTemplate(templateUrlLiteral);
    _reportExternalStyle(stylePath: string): void;
    /** Creates a TSLint rule failure for the given external resource. */
    protected addExternalResourceFailure(file: ExternalResource, message: string, fix?: Fix): void;
}
