import * as ts from 'typescript';
/** Returns the text of a string literal without the quotes. */
export declare function getLiteralTextWithoutQuotes(literal: ts.StringLiteral): string;
/** Method that can be used to replace all search occurrences in a string. */
export declare function findAll(str: string, search: string): number[];
export declare function findAllInputsInElWithTag(html: string, name: string, tagNames: string[]): number[];
export declare function findAllOutputsInElWithTag(html: string, name: string, tagNames: string[]): number[];
/**
 * Method that can be used to rename all occurrences of an `@Input()` in a HTML string that occur
 * inside an element with any of the given attributes. This is useful for replacing an `@Input()` on
 * a `@Directive()` with an attribute selector.
 */
export declare function findAllInputsInElWithAttr(html: string, name: string, attrs: string[]): number[];
/**
 * Method that can be used to rename all occurrences of an `@Output()` in a HTML string that occur
 * inside an element with any of the given attributes. This is useful for replacing an `@Output()`
 * on a `@Directive()` with an attribute selector.
 */
export declare function findAllOutputsInElWithAttr(html: string, name: string, attrs: string[]): number[];
