"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Returns the text of a string literal without the quotes. */
function getLiteralTextWithoutQuotes(literal) {
    return literal.getText().substring(1, literal.getText().length - 1);
}
exports.getLiteralTextWithoutQuotes = getLiteralTextWithoutQuotes;
/** Method that can be used to replace all search occurrences in a string. */
function findAll(str, search) {
    var result = [];
    var i = -1;
    while ((i = str.indexOf(search, i + 1)) !== -1) {
        result.push(i);
    }
    return result;
}
exports.findAll = findAll;
function findAllInputsInElWithTag(html, name, tagNames) {
    return findAllIoInElWithTag(html, name, tagNames, (_a = ["[?"], _a.raw = ["\\[?"], String.raw(_a)), (_b = ["]?"], _b.raw = ["\\]?"], String.raw(_b)));
    var _a, _b;
}
exports.findAllInputsInElWithTag = findAllInputsInElWithTag;
function findAllOutputsInElWithTag(html, name, tagNames) {
    return findAllIoInElWithTag(html, name, tagNames, (_a = ["("], _a.raw = ["\\("], String.raw(_a)), (_b = [")"], _b.raw = ["\\)"], String.raw(_b)));
    var _a, _b;
}
exports.findAllOutputsInElWithTag = findAllOutputsInElWithTag;
/**
 * Method that can be used to rename all occurrences of an `@Input()` in a HTML string that occur
 * inside an element with any of the given attributes. This is useful for replacing an `@Input()` on
 * a `@Directive()` with an attribute selector.
 */
function findAllInputsInElWithAttr(html, name, attrs) {
    return findAllIoInElWithAttr(html, name, attrs, (_a = ["[?"], _a.raw = ["\\[?"], String.raw(_a)), (_b = ["]?"], _b.raw = ["\\]?"], String.raw(_b)));
    var _a, _b;
}
exports.findAllInputsInElWithAttr = findAllInputsInElWithAttr;
/**
 * Method that can be used to rename all occurrences of an `@Output()` in a HTML string that occur
 * inside an element with any of the given attributes. This is useful for replacing an `@Output()`
 * on a `@Directive()` with an attribute selector.
 */
function findAllOutputsInElWithAttr(html, name, attrs) {
    return findAllIoInElWithAttr(html, name, attrs, (_a = ["("], _a.raw = ["\\("], String.raw(_a)), (_b = [")"], _b.raw = ["\\)"], String.raw(_b)));
    var _a, _b;
}
exports.findAllOutputsInElWithAttr = findAllOutputsInElWithAttr;
function findAllIoInElWithTag(html, name, tagNames, startIoPattern, endIoPattern) {
    var skipPattern = (_a = ["[^>]*s"], _a.raw = ["[^>]*\\s"], String.raw(_a));
    var openTagPattern = (_b = ["<s*"], _b.raw = ["<\\s*"], String.raw(_b));
    var tagNamesPattern = (_c = ["(?:", ")"], _c.raw = ["(?:", ")"], String.raw(_c, tagNames.join('|')));
    var replaceIoPattern = (_d = ["\n      (", "", "s(?:", ")?", ")\n      ", "\n      ", "[=s>]"], _d.raw = ["\n      (", "", "\\s(?:", ")?", ")\n      ", "\n      ", "[=\\s>]"], String.raw(_d, openTagPattern, tagNamesPattern, skipPattern, startIoPattern, name, endIoPattern));
    var replaceIoRegex = new RegExp(replaceIoPattern.replace(/\s/g, ''), 'g');
    var result = [];
    var match;
    while (match = replaceIoRegex.exec(html)) {
        result.push(match.index + match[1].length);
    }
    return result;
    var _a, _b, _c, _d;
}
function findAllIoInElWithAttr(html, name, attrs, startIoPattern, endIoPattern) {
    var skipPattern = (_a = ["[^>]*s"], _a.raw = ["[^>]*\\s"], String.raw(_a));
    var openTagPattern = (_b = ["<s*S"], _b.raw = ["<\\s*\\S"], String.raw(_b));
    var attrsPattern = (_c = ["(?:", ")"], _c.raw = ["(?:", ")"], String.raw(_c, attrs.join('|')));
    var inputAfterAttrPattern = (_d = ["\n    (", "", "", "[=s](?:", ")?", ")\n    ", "\n    ", "[=s>]"], _d.raw = ["\n    (", "", "", "[=\\s](?:", ")?", ")\n    ", "\n    ", "[=\\s>]"], String.raw(_d, openTagPattern, skipPattern, attrsPattern, skipPattern, startIoPattern, name, endIoPattern));
    var inputBeforeAttrPattern = (_e = ["\n    (", "", "", ")\n    ", "\n    ", "[=s](?:", ")?", "[=s>]"], _e.raw = ["\n    (", "", "", ")\n    ", "\n    ", "[=\\s](?:", ")?", "[=\\s>]"], String.raw(_e, openTagPattern, skipPattern, startIoPattern, name, endIoPattern, skipPattern, attrsPattern));
    var replaceIoPattern = (_f = ["", "|", ""], _f.raw = ["", "|", ""], String.raw(_f, inputAfterAttrPattern, inputBeforeAttrPattern));
    var replaceIoRegex = new RegExp(replaceIoPattern.replace(/\s/g, ''), 'g');
    var result = [];
    var match;
    while (match = replaceIoRegex.exec(html)) {
        result.push(match.index + (match[1] || match[2]).length);
    }
    return result;
    var _a, _b, _c, _d, _e, _f;
}
//# sourceMappingURL=literal.js.map